# pandas.io.formats.style.Styler.from_custom_template

classmethod Styler.from_custom_template(searchpath, html_table=None, html_style=None)

  Factory function for creating a subclass of `Styler`.

  Uses custom templates and Jinja environment.

  Changed in version 1.3.0.

  Parameters
    searchpath str or list

      Path or paths of directories containing the templates.

    html_table str

      Name of your custom template to replace the html_table template.

      New in version 1.3.0.

    html_style str

      Name of your custom template to replace the html_style template.

      New in version 1.3.0.

  Returns
    MyStyler subclass of Styler

      Has the correct `env`,``template_html``, `template_html_table` and `template_html_style` class attributes set.